##### basic_deadline_timer::basic_deadline_timer (1 of 7 overloads)

Constructor.

    basic_deadline_timer(
        const executor_type & ex);

This constructor creates a timer without setting an expiry time. The `expires_at()` or `expires_from_now()` functions must be called to set an expiry time before the timer can be waited on.

###### Parameters

ex

  The I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.